### Function

# Gimp ObjectArray new

#### Declaration [src]

    GimpObjectArray*
    gimp_object_array_new (
      GType object_type,
      GObject** data,
      gsize length,
      gboolean static_data
    )

#### Description [src]

Creates a new `GimpObjectArray` containing object pointers, of size `length`.

If `static_data` is `TRUE`, `data` is used as-is.

If `static_data` is `FALSE`, the object and array will be re-allocated, hence you are expected to free your input data after.

#### Parameters

`object_type` | `GType`
| The array will hold objects of this type.
`data` | An array of `GObject*`
| An array of objects.
| The length of the array is specified in the `length` argument.
| The data is owned by the caller of the function.
`length` | `gsize`
| The length of `data`.
`static_data` | `gboolean`
| Whether the objects in `data` are static objects and don’t need to be copied.

#### Return value

Returns: | `GimpObjectArray`
| A new `GimpObjectArray`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.